GET
/api/public/exports/Get all exported files
You can return a list of all your exported files. The list can be filtered by the type of the exported data.
| Attributes | Type | Required | Description |
|---|---|---|---|
| type | string | no | Type of the exported data. Those can be: Section - people - products - deals - companies - activities Logs - email_delivery_logs - sms_delivery_logs - email_clicks |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H "Authorization: Token <your_64_char_api_key>"
-H "Accept: */*; version=2"
"https://<your_app_subdomain>.user.com/api/public/exports/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.#### ResponseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/exports/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/exports/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
payload = ""
headers = { 'authorization': "Token <your_64_char_api_key>", "Accept": "*/*; version=2" }
conn.request("GET", "/api/public/exports/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
{
"count": 3,
"next": null,
"previous": null,
"results":
[
{
"export_type": "Users",
"filename": "9a0540ab-adff-47dc-b866-872570f3e583.csv",
"downloaded": true,
"created_at": "2024-04-22T12:17:30.921191Z",
"finished_at": "2024-04-22T12:17:31.866597Z",
"size": "3.224 kB",
"status": "finished"
},
{
"export_type": "Users",
"filename": "d1d69214-d07f-418f-bd85-27c49fd3398f.csv",
"downloaded": false,
"created_at": "2024-04-19T14:13:12.651414Z",
"finished_at": "2024-04-19T14:13:13.459190Z",
"size": "3.164 kB",
"status": "finished"
},
{
"export_type": "Email deliveries",
"filename": "2b6ffbe9-9346-47e5-9b54-e98fa67e9667.csv",
"downloaded": true,
"created_at": "2024-04-17T07:17:45.914816Z",
"finished_at": "2024-04-17T07:17:46.391238Z",
"size": "7.796 kB",
"status": "finished"
}
]
}